{ inputs, pkgs, ... }:
{
  imports = [
    inputs.nixos-wsl.nixosModules.default

    ../common/global
    ../common/optional/yubikey-gpg.nix
    ../common/users/lander
  ];

  wsl = {
    enable = true;
    defaultUser = "lander";

    usbip = {
      enable = true;
      autoAttach = [ "1-2" ];
      snippetIpAddress = "127.0.0.1"; # using mirrored networking
    };
  };

  boot.binfmt.emulatedSystems = [ "aarch64-linux" ];

  networking.hostName = "heimdall";

  security.pki.certificateFiles = [
    ./BASF_all.pem
  ];

  services.syslogd.enable = true;

  environment.systemPackages = with pkgs; [
    vim
    wget
  ];

  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
  ];

  system.stateVersion = "24.11";
}
